# Visual Studio
.vscode
*.sln
*.vcxproj
*.filters
*.user
*.vs

# CMake
CMakeFiles/
CMakeCache.txt
cmake_install.cmake

# Make
Makefile

# Ninja
.ninja_deps
.ninja_log
build.ninja

# Generated headers
config.hpp

# ImGui
imgui.ini

# Binary files
*.exe
*.dll
*.o
*.obj

# User provided folders
external/

# Generic build folders
Debug/
Release/
build/